Bug 6181 - Remove CGI::scrolling_list from C4:Budgets
Summary: Remove CGI::scrolling_list from C4:Budgets
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: 3.4
Hardware: All All
: PATCH-Sent (DO NOT USE) normal (vote)
Assignee: Colin Campbell
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks: 766
  Show dependency treegraph
 
Reported: 2011-04-13 16:15 UTC by Colin Campbell
Modified: 2013-12-05 20:05 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed Patch (17.42 KB, patch)
2011-04-13 16:39 UTC, Colin Campbell
Details | Diff | Splinter Review
Signed off Patch (17.45 KB, patch)
2011-06-04 10:00 UTC, Chris Cormack
Details | Diff | Splinter Review
proposed patch (passed QA) (17.49 KB, patch)
2011-08-10 12:32 UTC, Paul Poulain
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Colin Campbell 2011-04-13 16:15:26 UTC
As noted in bug 766 3.2 imported a lot of new instances of CGI::scrolling_list into C4::Budgets. They should be fixed. Most of them are not used by any other code so should be cleaned out.
Comment 1 Colin Campbell 2011-04-13 16:39:03 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2011-05-25 13:42:57 UTC
Colin could you provide more info on how to properly test these changes?
Comment 3 Colin Campbell 2011-05-27 15:46:28 UTC
The only meaningful test is to ensure the fund selection box in order creation is working. As noted in the patch the dropdowns for sort1/sort2 do not appear to be activated in the standard version.
Comment 4 Chris Cormack 2011-06-04 10:00:28 UTC Comment hidden (obsolete)
Comment 5 Paul Poulain 2011-08-10 12:32:01 UTC
Created attachment 4933 [details] [review]
proposed patch (passed QA)

QA comment:
* after applying the patch, I made grep -R on the 3 removed sub GetBudgetPermDropbox, GetBudgetSortDropbox, GetBudgetPeriodsDropbox they don't appear anywhere anymore
* changes made to GetAuthvalueDropbox are also consistents
* I've tested the scripts modified by this patch (aqbugetperiod, addorderiso2709,...), no problem detected.

passed QA
Comment 6 Chris Cormack 2011-08-14 08:29:22 UTC
Pushed, please test well
Comment 7 Jared Camins-Esakov 2012-12-31 00:26:59 UTC
There have been no further reports of problems so I am marking this bug resolved.